.. _xonsh_lexer:

******************************************************
Lexer (``xonsh.lexer``)
******************************************************

.. automodule:: xonsh.lexer
    :members:
    :undoc-members:
    :inherited-members:
    :exclude-members: t_NAME, t_BYTES_LITERAL, t_RAW_STRING_LITERAL, 
                      t_UNICODE_LITERAL, t_STRING_LITERAL